# stdl
[![Tests](https://github.com/zigai/stdl/actions/workflows/tests.yml/badge.svg)](https://github.com/zigai/stdl/actions/workflows/tests.yml)
[![Documentation Status](https://readthedocs.org/projects/stdl/badge/?version=latest)](https://stdl.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://badge.fury.io/py/stdl.svg)](https://badge.fury.io/py/stdl)
![Supported versions](https://img.shields.io/badge/python-3.10+-blue.svg)
[![Downloads](https://static.pepy.tech/badge/stdl)](https://pepy.tech/project/stdl)
[![license](https://img.shields.io/github/license/zigai/stdl.svg)](https://github.com/zigai/stdl/blob/master/LICENSE)

`stdl` is a collection of Python utilities that complement the standard library. It provides common functions and tools that developers frequently need, with minimal external dependencies.

## Features
- File and directory operations
- String manipulation
- ANSI color support for terminal output
- Date and time formatting
- List processing
- Function decorators
- Logging configuration for `logging` and `loguru`
- [See docs](https://stdl.readthedocs.io/en/latest/?badge=latest)

## Dependencies
- PyYAML
- python-dateutil
- toml
- tqdm

## Installation

#### Using pip
```
pip install stdl
```
#### From source
```
pip install git+https://github.com/zigai/stdl
```
## License
[MIT License](https://github.com/zigai/stdl/blob/master/LICENSE)
